<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %I%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA82 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 2000, 2001, 2002                              -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                           -->
<!-- BEGIN DISCLAIMER                                                        -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--  DISCLAIMER                                                             -->
<!--  ----------                                                             -->
<!--  This material contains programming source code for your consideration. -->
<!--  These examples have not been thoroughly tested under all conditions.   -->
<!--  IBM, therefore, cannot guarantee or imply reliability, serviceability, -->
<!--  or function of these programs.  All programs contained herein are      -->
<!--  provided to you "AS IS".  THE IMPLIED WARRANTIES OF MERCHANTABILITY    -->
<!--  AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY DISCLAIMED.         -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END DISCLAIMER                                                          -->

<html>
<%@ page language="java" info="WebCredit Request - Existing Customer" %>
<%@ page errorPage="ViewError.jsp" %>
<%@ page import="java.sql.*" %>

<%! public String getField( ResultSet resultSet, String columnName )
    {
      try {
		String result = resultSet.getString( columnName );
        if ( result == null ) result="";
        return result;
      }
      catch( Exception xcpt ) { }
      return "";
    }
%>

<%
  long               customerID  = 0;
  long               newCustomer = 0;
  Connection         connection;
  PreparedStatement  queryStatement;
  ResultSet          resultSet = null;

  try {
    String customerIDString = request.getParameter( "CustomerID" );
    customerID = Long.valueOf( customerIDString).longValue( );
  } catch( Exception xcpt ) { }
  if ( customerID != 0 ) {
    try {
      Class.forName( "COM.ibm.db2.jdbc.app.DB2Driver" );
      connection = DriverManager.getConnection( "jdbc:db2:CUSTOMER" );
      queryStatement = connection.prepareStatement( "SELECT * FROM CUSTOMER.CUSTOMER_DATA " +
                                                    "WHERE CUSTOMER_ID=?" );
      queryStatement.setLong( 1, customerID );
      resultSet = queryStatement.executeQuery( );
      if ( ! resultSet.next( ) ) customerID = 0;
    }
    catch( Exception xcpt ) { out.print( xcpt.toString( ) ); }
    if ( customerID == 0 ) {
      response.sendRedirect( "/MQWFClient-WEB/starter/WebCreditRequest_IDDoesNotExist.html" );
    }
  }
  try {
%>
<head>
<meta http-equiv="Content-Type" content="text/html">
<title>New Credit Request for existing customers</title>
<script type="text/javascript" language="JavaScript">
function sendRedirect( )
{
  if ( document.ProcessData.CustomerID.value == '0' ) {
    window.location.replace('/MQWFClient-WEB/starter/WebCreditRequest_IDDoesNotExist.html');
  }
  else document.ProcessData.CreditAmount.focus( );
}

function ValidateAndCreateInstanceName( )
{
	currentDate = new Date( );
	day     = ((currentDate.getDate( )    < 10) ? "0" : "" ) + currentDate.getDate( );
	month   = (((currentDate.getMonth( )+1) < 10) ? "0" : "" ) + (currentDate.getMonth( ) + 1);
	year    = currentDate.getYear( );
	hours   = ((currentDate.getHours( )   < 10) ? "0" : "" ) + currentDate.getHours( );
	minutes = ((currentDate.getMinutes( ) < 10) ? "0" : "" ) + currentDate.getMinutes( );

	dateString = "_" + month + day + year + "_" + hours + minutes;

	for ( i = 0; i < document.forms.ProcessData.length; i++ ) {
		currentElement = document.forms.ProcessData.elements[i];

		if ( currentElement.name == "CreditAmount" && currentElement.value == "" ) {
			alert( 'Please enter the credit amount.' );
			return false;
		}
		if ( currentElement.name == "CreditReason" && currentElement.value == "" ) {
			alert( 'Please enter the reason for the credit request.' );
			return false;
		}
		if ( currentElement.name == "CustomerData.FirstName" && currentElement.value == "" ) {
			alert( 'The First Name field is required.' );
			return false;
		}
		if ( currentElement.name == "CustomerData.LastName" && currentElement.value == "" ) {
			alert( 'The Last Name field is required.' );
			return false;
		}
		if ( currentElement.name == "CustomerData.Address_Line1" && currentElement.value == "" ) {
			alert( 'The Address Line 1 field is required.' );
			return false;
		}
		if ( currentElement.name == "CustomerData.City" && currentElement.value == "" ) {
			alert( 'The City field is required.' );
			return false;
		}
		if ( currentElement.name == "CustomerData.Zipcode" && currentElement.value == "" ) {
			alert( 'The Zip Code field is required.' );
			return false;
		}
		if ( currentElement.name == "CustomerData.Country" && currentElement.value == "" ) {
			alert( 'The Country field is required.' );
			return false;
		}
		if ( currentElement.name == "CustomerData.Email_Address" && currentElement.value == "" ) {
			alert( 'The E-Mail Address field is required.' );
			return false;
		}
		if ( currentElement.name == "CustomerData.Phone_Home" && currentElement.value == "" ) {
			alert( 'The Home phone number field is required.' );
			return false;
		}
	}

	document.ProcessData.instanceName.value = document.ProcessData.templateName.value + '_' + document.ProcessData.CustomerID.value + dateString;
	return true;
}
</script>
</head>

<body bgcolor="#000000" text="#FFFF00">

<table border="0">
  <tr>
    <td valign="top"><img border="0" src="images/ebank.jpg" alt="EBank Image" width="167" height="510"></td>
    <td valign="top">
      <h1>Apply for a Credit</h1>
      <p><font color="#FFFFFF">Please fill in the fields below and credit request details. You
      can also update your customer data.</font>
      <br>
      <font color="#FF0000">*</font><font color="#FFFFFF"> marks
      a required field.</font> </p>
      <form method="POST" action="/MQWFClient-WEB/servlet/Main" name="ProcessData" onSubmit="return ValidateAndCreateInstanceName( );">
        <input type="hidden" name="command" value="createAndStartInstance">
        <input type="hidden" name="templateName" value="WebCreditRequest">
        <input type="hidden" name="instanceName">
        <input type="hidden" name="SuccessLocation" value="{_HTMLDir_}/starter/WebCreditRequestStarted.html">
        <input type="hidden" name="CustomerID" value="<%=customerID%>">

        <table border="0" cellspacing="1" width="100%">
          <tr>
            <th colspan="4" height="40"><font color="#00FF00">Credit Data</font></th>
          </tr>
          <tr>
            <td>Loan amount<font color="#FF0000">*</font></td>
            <td><input type="text" name="CreditAmount" size="20" tabindex="1"></td>
            <td></td>
            <td></td>
          </tr>
          <tr>
            <td>Please describe the reason for this credit<font color="#FF0000">*</font></td>
            <td colspan="3"><textarea rows="2" name="CreditReason" cols="50" tabindex="2"></textarea></td>
          </tr>
          <tr>
            <td colspan="4">
              <hr>
            </td>
          </tr>
          <tr>
            <th colspan="4" height="40"><font color="#00FF00">Customer Data for Customer ID <%=customerID%></font></th>
          </tr>
          <tr>
            <td>First Name<font color="#FF0000">*</font></td>
            <td><input type="text" name="CustomerData.FirstName" size="20" tabindex="3" value="<%=getField( resultSet, "FIRSTNAME" )%>"></td>
            <td>Zip Code<font color="#FF0000">*</font></td>
            <td><input type="text" name="CustomerData.Zipcode" size="20" tabindex="11" value="<%=getField( resultSet, "ZIPCODE" )%>"></td>
          </tr>
          <tr>
            <td>Middle Name</td>
            <td><input type="text" name="CustomerData.MiddleName" size="20" tabindex="4" value="<%=getField( resultSet, "MIDDLENAME" )%>"></td>
            <td>Country<font color="#FF0000">*</font></td>
            <td><input type="text" name="CustomerData.Country" size="20" tabindex="12" value="<%=getField( resultSet, "COUNTRY" )%>"></td>
          </tr>
          <tr>
            <td>Last Name<font color="#FF0000">*</font></td>
            <td><input type="text" name="CustomerData.LastName" size="20" tabindex="5" value="<%=getField( resultSet, "LASTNAME" )%>"></td>
            <td>E-Mail address<font color="#FF0000">*</font></td>
            <td><input type="text" name="CustomerData.Email_Address" size="20" tabindex="13" value="<%=getField( resultSet, "EMAIL_ADDRESS" )%>"></td>
          </tr>
          <tr>
            <td>Address&nbsp;Line&nbsp;1<font color="#FF0000">*</font></td>
            <td><input type="text" name="CustomerData.Address_Line1" size="20" tabindex="6" value="<%=getField( resultSet, "ADDRESS_LINE_1" )%>"></td>
            <td>Home phone number<font color="#FF0000">*</font></td>
            <td><input type="text" name="CustomerData.Phone_Home" size="20" tabindex="14" value="<%=getField( resultSet, "PHONE_HOME" )%>"></td>
          </tr>
          <tr>
            <td>Address&nbsp;Line&nbsp;2</td>
            <td><input type="text" name="CustomerData.Address_Line2" size="20" tabindex="7" value="<%=getField( resultSet, "ADDRESS_LINE_2" )%>"></td>
            <td>Home fax number</td>
            <td><input type="text" name="CustomerData.Fax_Home" size="20" tabindex="15" value="<%=getField( resultSet, "FAX_HOME" )%>"></td>
          </tr>
          <tr>
            <td>Address&nbsp;Line&nbsp;3</td>
            <td><input type="text" name="CustomerData.Address_Line3" size="20" tabindex="8" value="<%=getField( resultSet, "ADDRESS_LINE_3" )%>"></td>
            <td>Business phone number</td>
            <td><input type="text" name="CustomerData.Phone_Business" size="20" tabindex="16" value="<%=getField( resultSet, "PHONE_BUSINESS" )%>"></td>
          </tr>
          <tr>
            <td>City<font color="#FF0000">*</font></td>
            <td><input type="text" name="CustomerData.City" size="20" tabindex="9" value="<%=getField( resultSet, "CITY" )%>"></td>
            <td>Business fax number</td>
            <td><input type="text" name="CustomerData.Fax_Business" size="20" tabindex="17" value="<%=getField( resultSet, "FAX_BUSINESS" )%>"></td>
          </tr>
          <tr>
            <td>State</td>
            <td><input type="text" name="CustomerData.State" size="20" tabindex="10" value="<%=getField( resultSet, "STATE" )%>"></td>
            <td></td>
            <td></td>
          </tr>
          <tr>
            <td></td>
            <td></td>
            <td></td>
            <td><input type="submit" value="Apply for Credit" name="Submit" tabindex="18"></td>
          </tr>
        </table>
      </form>
    </td>
  </tr>
</table>

<% } // try
   catch( Exception xcpt ) { out.print( xcpt.toString( ) ); };
%>

</body>

</html>
